Subject: Re: bug#32281: shr.el align support patch

From: Bad Blue Bull <[email-masked]>
Date: Tue, 07 Aug 2018 22:56:57 +0300

Lars Ingebrigtsen yeah I knew you'd say smth like that :-)

I wanted to make Emacs view fb2 files (ebooks), and I wanted to convert them into HTML and view them in EWW, but I've just found out that nov.el is a great package that displays epub files and I'll rather convert fb2 files to epub and view them in it.

So I withdraw this patch, can't say it was somehow slow on pages I tested though.

07.08.2018, 21:16, "Lars Ingebrigtsen" <[email-masked]>:

Bad Blue Bull <[email-masked]> writes:

+ (fill-region-as-paragraph line-begin (- (point) 1)

My guess is that this would be so slow as to make shr/eww unusable on
typical pages.

shr lives within the constraints of being written in a slow language
(Emacs Lisp) and eschews features that makes it too slow for normal
usage. There's a gazillion rendering features we could add, but we
haven't because it's not practical within normal timing constraints.

--
(domestic pets only, the antidote for overdose, milk.)
bloggy blog: http://lars.ingebrigtsen.no